init python:
    gallery = Gallery()

    gallery.button("ochre1")
    gallery.unlock_image("cg_ochre2a")
    gallery.condition("persistent.o2a_unlocked")

    gallery.button("ochre2")
    gallery.unlock_image("cg_ochre2b")
    gallery.condition("persistent.o2b_unlocked")

    gallery.button("ochre3")
    gallery.unlock_image("cg_ochre3a")
    gallery.condition("persistent.o3a_unlocked")

    gallery.button("ochre4")
    gallery.unlock_image("cg_ochre3b")
    gallery.condition("persistent.o3b_unlocked")

    gallery.button("lydia1")
    gallery.unlock_image("cg_lydia3")
    gallery.condition("persistent.l3_unlocked")

    gallery.button("lydia2")
    gallery.unlock_image("cg_lydia4a")
    gallery.condition("persistent.l4a_unlocked")

    gallery.button("lydia3")
    gallery.unlock_image("cg_lydia4b")
    gallery.condition("persistent.l4b_unlocked")

    gallery.button("ochre5")
    gallery.unlock_image("cg_ochre4a")
    gallery.condition("persistent.o4a_unlocked")

    gallery.button("ochre6")
    gallery.unlock_image("cg_ochre4b")
    gallery.condition("persistent.o4b_unlocked")

    gallery.button("ochre7")
    gallery.unlock_image("cg_5b_1")
    gallery.condition("persistent.o7a_unlocked")

    gallery.button("ochre8")
    gallery.unlock_image("cg_5b_2")
    gallery.condition("persistent.o7b_unlocked")

    gallery.button("ochre9")
    gallery.unlock_image("cg_5b_3")
    gallery.condition("persistent.o7c_unlocked")

screen album:
    tag menu

    add "gui/game_menu.png"
    add "gui/about_bg.png"
    
    hbox:
        xalign 0.5
        yalign 0.3
        spacing 10

        grid 3 4:
            
            add gallery.make_button(name="ochre1", unlocked="images/small/cg_ochre2a.png", locked="images/small/cg_locked.png")
            add gallery.make_button(name="ochre2", unlocked="images/small/cg_ochre2b.png", locked="images/small/cg_locked.png")
            add gallery.make_button(name="lydia1", unlocked="images/small/cg_lydia3.png", locked="images/small/cg_locked.png")
            add gallery.make_button(name="ochre3", unlocked="images/small/cg_ochre3a.png", locked="images/small/cg_locked.png")
            add gallery.make_button(name="ochre4", unlocked="images/small/cg_ochre3b.png", locked="images/small/cg_locked.png")
            add gallery.make_button(name="lydia2", unlocked="images/small/cg_lydia4a.png", locked="images/small/cg_locked.png")
            add gallery.make_button(name="lydia3", unlocked="images/small/cg_lydia4b.png", locked="images/small/cg_locked.png")
            add gallery.make_button(name="ochre5", unlocked="images/small/cg_ochre4a.png", locked="images/small/cg_locked.png")
            add gallery.make_button(name="ochre6", unlocked="images/small/cg_ochre4b.png", locked="images/small/cg_locked.png")
            add gallery.make_button(name="ochre7", unlocked="images/small/cg_5b_1.png", locked="images/small/cg_locked.png")
            add gallery.make_button(name="ochre8", unlocked="images/small/cg_5b_2.png", locked="images/small/cg_locked.png")
            add gallery.make_button(name="ochre9", unlocked="images/small/cg_5b_3.png", locked="images/small/cg_locked.png")
            spacing 10

    text "{font=fonts/Emperialisme-Regular.otf}{color=#ffffff}Album{/color}{/font}" pos (75, 80) size 75

    textbutton _("Page 1 >>") action ShowMenu("album2") xalign 0.5 yalign 0.95
    textbutton "Return" action Return() pos (75, 900)